var _DrawerLayout$Content;
/*
 * The MIT License (MIT)
 *
 * Copyright (c) 2015 - present Instructure, Inc.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

import { Component } from 'react';
import PropTypes from 'prop-types';
import { DrawerLayout } from '../index';
import { jsx as _jsx, jsxs as _jsxs } from "@emotion/react/jsx-runtime";
export default class DrawerLayoutFixture extends Component {
  render() {
    const _this$props = this.props,
      layoutWidth = _this$props.layoutWidth,
      trayWidth = _this$props.trayWidth,
      open = _this$props.open,
      placement = _this$props.placement,
      onOverlayTrayChange = _this$props.onOverlayTrayChange;
    return _jsx("div", {
      style: {
        width: layoutWidth
      },
      children: _jsxs(DrawerLayout, {
        minWidth: "500px",
        onOverlayTrayChange: onOverlayTrayChange,
        children: [_jsx(DrawerLayout.Tray, {
          open: open,
          placement: placement,
          label: "Test DrawerTray",
          children: _jsx("div", {
            style: {
              width: trayWidth
            },
            children: "Hello from tray"
          })
        }), _DrawerLayout$Content || (_DrawerLayout$Content = _jsx(DrawerLayout.Content, {
          label: "Test DrawerContent",
          children: _jsxs("div", {
            children: ["Hello from content", _jsx("button", {
              children: "Expand"
            })]
          })
        }))]
      })
    });
  }
}
DrawerLayoutFixture.displayName = "DrawerLayoutFixture";
DrawerLayoutFixture.propTypes = {
  layoutWidth: PropTypes.string,
  trayWidth: PropTypes.string,
  placement: PropTypes.string,
  open: PropTypes.bool,
  onOverlayTrayChange: PropTypes.func
};
DrawerLayoutFixture.defaultProps = {
  layoutWidth: '600px',
  trayWidth: '200px',
  open: false,
  placement: 'start',
  onOverlayTrayChange: () => {}
};