"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
var _react = require("@testing-library/react");
require("@testing-library/jest-dom");
var _DrawerLayout = _interopRequireDefault(require("../__fixtures__/DrawerLayout.fixture"));
var _jsxRuntime = require("@emotion/react/jsx-runtime");
var _DrawerLayoutFixture, _DrawerLayoutFixture2;
/*
 * The MIT License (MIT)
 *
 * Copyright (c) 2015 - present Instructure, Inc.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
describe('<DrawerLayout />', () => {
  it('should render', () => {
    const _render = (0, _react.render)(_DrawerLayoutFixture || (_DrawerLayoutFixture = (0, _jsxRuntime.jsx)(_DrawerLayout.default, {}))),
      container = _render.container;
    const layout = container.querySelector('div[class$="-drawerLayout"]');
    expect(layout).toBeInTheDocument();
  });
  it('should render a DrawerTray and DrawerContent', async () => {
    const _render2 = (0, _react.render)(_DrawerLayoutFixture2 || (_DrawerLayoutFixture2 = (0, _jsxRuntime.jsx)(_DrawerLayout.default, {
        open: true,
        layoutWidth: "800px",
        trayWidth: "250px"
      }))),
      container = _render2.container;
    const tray = _react.screen.getByText('Hello from tray');
    const contentWrapper = container.querySelector('div[class$="drawerLayout__content"]');
    expect(tray).toBeInTheDocument();
    expect(contentWrapper).toHaveTextContent('Hello from content');
    expect(contentWrapper).toHaveAttribute('aria-label', 'Test DrawerContent');
  });
});