import { Component } from 'react';
import type { DrawerLayoutContentProps, DrawerLayoutContentStyleProps } from './props';
/**
---
parent: DrawerLayout
id: DrawerLayout.Content
---
**/
declare class DrawerContent extends Component<DrawerLayoutContentProps> {
    static readonly componentId = "DrawerLayout.Content";
    static locatorAttribute: string;
    static propTypes: import("@instructure/shared-types").PropValidators<keyof {
        label: string;
        children?: React.ReactNode;
        contentRef?: (element: HTMLDivElement | null) => void;
        onSizeChange?: (contentSize: import("./props").DrawerContentSize) => void;
        role?: import("react").AriaRole;
    }>;
    static allowedProps: readonly (keyof {
        label: string;
        children?: React.ReactNode;
        contentRef?: (element: HTMLDivElement | null) => void;
        onSizeChange?: (contentSize: import("./props").DrawerContentSize) => void;
        role?: import("react").AriaRole;
    })[];
    static defaultProps: {
        role: string;
    };
    ref: HTMLDivElement | null;
    get _content(): HTMLDivElement | null;
    private _resizeListener?;
    private _debounced?;
    componentDidMount(): void;
    componentDidUpdate(): void;
    componentWillUnmount(): void;
    makeStyleProps: (shouldTransition: DrawerLayoutContentStyleProps["shouldTransition"]) => DrawerLayoutContentStyleProps;
    handleContentRef: (node: HTMLDivElement | null) => void;
    render(): import("@emotion/react/jsx-runtime").JSX.Element;
}
export default DrawerContent;
export { DrawerContent };
//# sourceMappingURL=index.d.ts.map