import { AriaRole } from 'react';
import type { PropValidators, DrawerLayoutContentTheme, OtherHTMLAttributes } from '@instructure/shared-types';
import type { WithStyleProps, ComponentStyle } from '@instructure/emotion';
type DrawerContentSize = {
    width: number;
    height?: number;
};
type DrawerLayoutContentOwnProps = {
    label: string;
    children?: React.ReactNode;
    contentRef?: (element: HTMLDivElement | null) => void;
    /**
     * Callback fired whenever the `<DrawerLayout.Content />` changes size
     */
    onSizeChange?: (contentSize: DrawerContentSize) => void;
    role?: AriaRole;
};
type DrawerLayoutContentStyleProps = {
    shouldTransition: boolean;
};
type PropKeys = keyof DrawerLayoutContentOwnProps;
type AllowedPropKeys = Readonly<Array<PropKeys>>;
type DrawerLayoutContentProps = DrawerLayoutContentOwnProps & WithStyleProps<DrawerLayoutContentTheme, DrawerLayoutContentStyle> & OtherHTMLAttributes<DrawerLayoutContentOwnProps>;
type DrawerLayoutContentStyle = ComponentStyle<'drawerContent'>;
declare const propTypes: PropValidators<PropKeys>;
declare const allowedProps: AllowedPropKeys;
export type { DrawerLayoutContentProps, DrawerLayoutContentStyleProps, DrawerLayoutContentStyle, DrawerContentSize };
export { propTypes, allowedProps };
//# sourceMappingURL=props.d.ts.map