import { Component } from 'react';
import type { TransitionType } from '@instructure/ui-motion';
import type { PortalNode } from '@instructure/ui-portal';
import type { DrawerLayoutTrayProps, DrawerLayoutTrayState, DrawerLayoutTrayStyleProps, DrawerTrayPlacement } from './props';
/**
---
parent: DrawerLayout
id: DrawerLayout.Tray
---
**/
declare class DrawerTray extends Component<DrawerLayoutTrayProps, DrawerLayoutTrayState> {
    static readonly componentId: "DrawerLayout.Tray";
    static locatorAttribute: string;
    static propTypes: import("@instructure/shared-types").PropValidators<"label" | "children" | "contentRef" | "dir" | "open" | "border" | "render" | "placement" | "onOpen" | "onClose" | "shadow" | "mountNode" | keyof {
        defaultFocusElement?: import("@instructure/shared-types").UIElement;
        liveRegion?: import("@instructure/shared-types").LiveRegion;
        onDismiss?: (event: React.UIEvent | React.FocusEvent, documentClick?: boolean) => void;
        shouldContainFocus?: boolean;
        shouldReturnFocus?: boolean;
        shouldCloseOnDocumentClick?: boolean;
        shouldCloseOnEscape?: boolean;
    } | keyof {
        onTransition?: (toState: import("@instructure/ui-motion").BaseTransitionStatesType, fromState: import("@instructure/ui-motion").BaseTransitionStatesType) => void;
        onEnter?: () => void;
        onEntering?: () => void;
        onEntered?: (type?: TransitionType) => void;
        onExit?: () => void;
        onExiting?: () => void;
        onExited?: (type?: TransitionType) => void;
    }>;
    static allowedProps: readonly ("label" | "children" | "contentRef" | "dir" | "open" | "border" | "render" | "placement" | "onOpen" | "onClose" | "shadow" | "mountNode" | keyof {
        defaultFocusElement?: import("@instructure/shared-types").UIElement;
        liveRegion?: import("@instructure/shared-types").LiveRegion;
        onDismiss?: (event: React.UIEvent | React.FocusEvent, documentClick?: boolean) => void;
        shouldContainFocus?: boolean;
        shouldReturnFocus?: boolean;
        shouldCloseOnDocumentClick?: boolean;
        shouldCloseOnEscape?: boolean;
    } | keyof {
        onTransition?: (toState: import("@instructure/ui-motion").BaseTransitionStatesType, fromState: import("@instructure/ui-motion").BaseTransitionStatesType) => void;
        onEnter?: () => void;
        onEntering?: () => void;
        onEntered?: (type?: TransitionType) => void;
        onExit?: () => void;
        onExiting?: () => void;
        onExited?: (type?: TransitionType) => void;
    })[];
    static defaultProps: {
        shouldContainFocus: boolean;
        shouldCloseOnEscape: boolean;
        shouldCloseOnDocumentClick: boolean;
        shouldReturnFocus: boolean;
        open: boolean;
        shadow: boolean;
        border: boolean;
        placement: string;
    };
    ref: HTMLDivElement | null;
    private _DOMNode;
    get _content(): HTMLDivElement | null;
    constructor(props: DrawerLayoutTrayProps);
    componentDidMount(): void;
    componentDidUpdate(prevProps: DrawerLayoutTrayProps): void;
    makeStyleProps: () => DrawerLayoutTrayStyleProps;
    get placement(): DrawerTrayPlacement;
    get transition(): TransitionType;
    handleContentRef: (node: HTMLDivElement | null) => void;
    handleTransitionEntered: (_transitionType?: TransitionType) => void;
    handleTransitionExited: (_transitionType?: TransitionType) => void;
    handlePortalOpen: (DOMNode: PortalNode) => void;
    get DOMNode(): PortalNode;
    set DOMNode(el: PortalNode);
    renderContent(): import("react").ReactNode;
    render(): import("@emotion/react/jsx-runtime").JSX.Element;
}
export default DrawerTray;
export { DrawerTray };
//# sourceMappingURL=index.d.ts.map